import request from '@/utils/request'

// 查询仓储费列表
export function listAgreement(query) {
  return request({
    url: '/warehouseBusiness/agreement/list',
    method: 'get',
    params: query
  })
}

// 查询仓储费详细
export function getAgreement(fId) {
  return request({
    url: '/warehouseBusiness/agreement/' + fId,
    method: 'get'
  })
}

// 新增仓储费
export function addAgreement(data) {
  return request({
    url: '/warehouseBusiness/agreement',
    method: 'post',
    data: data
  })
}

// 修改仓储费
export function updateAgreement(data) {
  return request({
    url: '/warehouseBusiness/agreement',
    method: 'put',
    data: data
  })
}

// 删除仓储费
export function delAgreement(fId) {
  return request({
    url: '/warehouseBusiness/agreement/' + fId,
    method: 'delete'
  })
}

// 导出仓储费
export function exportAgreement(query) {
  return request({
    url: '/warehouseBusiness/agreement/export',
    method: 'get',
    params: query
  })
}